be.vlaanderen.mercurius.efact.df019.v1

## Class ImpactedInvoiceType

- java.lang.Object
- - be.vlaanderen.mercurius.efact.df019.v1.ImpactedInvoiceType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:34:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class ImpactedInvoiceType
      extends Object
      implements Serializable

  Java class for ImpactedInvoiceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ImpactedInvoiceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ImpactedInvoiceListNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="ImpactedInvoiceNumber" type="{http://www.w3.org/2001/XMLSchema}integer"/>
               <element name="ImpactedExternalReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="ImpactedInvoiceListYear" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}YearType"/>
               <element name="ImpactedInvoiceListMonth" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}MonthType"/>
               <element name="VsbReference" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}VsbReferenceType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImpactedInvoiceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getImpactedExternalReference()` Gets the value of the impactedExternalReference property.
    `int` | `getImpactedInvoiceListMonth()` Gets the value of the impactedInvoiceListMonth property.
    `String` | `getImpactedInvoiceListNumber()` Gets the value of the impactedInvoiceListNumber property.
    `int` | `getImpactedInvoiceListYear()` Gets the value of the impactedInvoiceListYear property.
    `BigInteger` | `getImpactedInvoiceNumber()` Gets the value of the impactedInvoiceNumber property.
    `String` | `getVsbReference()` Gets the value of the vsbReference property.
    `void` | `setImpactedExternalReference(String value)` Sets the value of the impactedExternalReference property.
    `void` | `setImpactedInvoiceListMonth(int value)` Sets the value of the impactedInvoiceListMonth property.
    `void` | `setImpactedInvoiceListNumber(String value)` Sets the value of the impactedInvoiceListNumber property.
    `void` | `setImpactedInvoiceListYear(int value)` Sets the value of the impactedInvoiceListYear property.
    `void` | `setImpactedInvoiceNumber(BigInteger value)` Sets the value of the impactedInvoiceNumber property.
    `void` | `setVsbReference(String value)` Sets the value of the vsbReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImpactedInvoiceType

          public ImpactedInvoiceType()

  - ### Method Detail

    - #### getImpactedInvoiceListNumber

          public String getImpactedInvoiceListNumber()

      Gets the value of the impactedInvoiceListNumber property.
      Returns:
        possible object is `String`

    - #### setImpactedInvoiceListNumber

          public void setImpactedInvoiceListNumber(String value)

      Sets the value of the impactedInvoiceListNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpactedInvoiceNumber

          public BigInteger getImpactedInvoiceNumber()

      Gets the value of the impactedInvoiceNumber property.
      Returns:
        possible object is `BigInteger`

    - #### setImpactedInvoiceNumber

          public void setImpactedInvoiceNumber(BigInteger value)

      Sets the value of the impactedInvoiceNumber property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getImpactedExternalReference

          public String getImpactedExternalReference()

      Gets the value of the impactedExternalReference property.
      Returns:
        possible object is `String`

    - #### setImpactedExternalReference

          public void setImpactedExternalReference(String value)

      Sets the value of the impactedExternalReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpactedInvoiceListYear

          public int getImpactedInvoiceListYear()

      Gets the value of the impactedInvoiceListYear property.

    - #### setImpactedInvoiceListYear

          public void setImpactedInvoiceListYear(int value)

      Sets the value of the impactedInvoiceListYear property.

    - #### getImpactedInvoiceListMonth

          public int getImpactedInvoiceListMonth()

      Gets the value of the impactedInvoiceListMonth property.

    - #### setImpactedInvoiceListMonth

          public void setImpactedInvoiceListMonth(int value)

      Sets the value of the impactedInvoiceListMonth property.

    - #### getVsbReference

          public String getVsbReference()

      Gets the value of the vsbReference property.
      Returns:
        possible object is `String`

    - #### setVsbReference

          public void setVsbReference(String value)

      Sets the value of the vsbReference property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.